MinimalJavadocOptions (Gradle API 7.6.4)

Package org.gradle.external.javadoc

## Interface MinimalJavadocOptions

- All Known Implementing Classes:
    `CoreJavadocOptions`, `StandardJavadocDocletOptions`

      public interface MinimalJavadocOptions

  Provides the core Javadoc options.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MinimalJavadocOptions` | `bootClasspath​(java.io.File... bootClasspath)` |
    `MinimalJavadocOptions` | `breakIterator()` |
    `MinimalJavadocOptions` | `breakIterator​(boolean breakIterator)` |
    `MinimalJavadocOptions` | `classpath​(java.io.File... classpath)` |
    `MinimalJavadocOptions` | `classpath​(java.util.List<java.io.File> classpath)` |
    `void` | `contributeCommandLineOptions​(ExecSpec execHandleBuilder)` |
    `MinimalJavadocOptions` | `destinationDirectory​(java.io.File directory)` |
    `MinimalJavadocOptions` | `doclet​(java.lang.String docletClass)` |
    `MinimalJavadocOptions` | `docletpath​(java.io.File... docletpath)` |
    `MinimalJavadocOptions` | `encoding​(java.lang.String encoding)` |
    `MinimalJavadocOptions` | `extDirs​(java.io.File... extDirs)` |
    `java.util.List<java.io.File>` | `getBootClasspath()` |
    `java.util.List<java.io.File>` | `getClasspath()` |
    `java.io.File` | `getDestinationDirectory()` |
    `java.lang.String` | `getDoclet()` |
    `java.util.List<java.io.File>` | `getDocletpath()` |
    `java.lang.String` | `getEncoding()` |
    `java.util.List<java.io.File>` | `getExtDirs()` |
    `java.lang.String` | `getHeader()` |
    `java.util.List<java.lang.String>` | `getJFlags()` |
    `java.lang.String` | `getLocale()` |
    `JavadocMemberLevel` | `getMemberLevel()` |
    `java.util.List<java.io.File>` | `getModulePath()` | The --module-path.
    `java.util.List<java.io.File>` | `getOptionFiles()` |
    `JavadocOutputLevel` | `getOutputLevel()` |
    `java.lang.String` | `getOverview()` |
    `java.lang.String` | `getSource()` |
    `java.util.List<java.lang.String>` | `getSourceNames()` |
    `java.lang.String` | `getWindowTitle()` |
    `StandardJavadocDocletOptions` | `header​(java.lang.String header)` |
    `boolean` | `isBreakIterator()` |
    `boolean` | `isVerbose()` |
    `MinimalJavadocOptions` | `jFlags​(java.lang.String... jFlags)` |
    `MinimalJavadocOptions` | `locale​(java.lang.String locale)` |
    `MinimalJavadocOptions` | `modulePath​(java.util.List<java.io.File> classpath)` | The --module-path.
    `MinimalJavadocOptions` | `optionFiles​(java.io.File... argumentFiles)` |
    `MinimalJavadocOptions` | `overview​(java.lang.String overview)` |
    `MinimalJavadocOptions` | `quiet()` |
    `void` | `setBootClasspath​(java.util.List<java.io.File> bootClasspath)` |
    `void` | `setBreakIterator​(boolean breakIterator)` |
    `void` | `setClasspath​(java.util.List<java.io.File> classpath)` |
    `void` | `setDestinationDirectory​(java.io.File directory)` |
    `void` | `setDoclet​(java.lang.String docletClass)` |
    `void` | `setDocletpath​(java.util.List<java.io.File> docletpath)` |
    `void` | `setEncoding​(java.lang.String encoding)` |
    `void` | `setExtDirs​(java.util.List<java.io.File> extDirs)` |
    `void` | `setHeader​(java.lang.String header)` |
    `void` | `setJFlags​(java.util.List<java.lang.String> jFlags)` |
    `void` | `setLocale​(java.lang.String locale)` |
    `void` | `setMemberLevel​(JavadocMemberLevel memberLevel)` |
    `void` | `setModulePath​(java.util.List<java.io.File> modulePath)` | The --module-path.
    `void` | `setOptionFiles​(java.util.List<java.io.File> optionFiles)` |
    `void` | `setOutputLevel​(JavadocOutputLevel outputLevel)` |
    `void` | `setOverview​(java.lang.String overview)` |
    `void` | `setSource​(java.lang.String source)` |
    `void` | `setSourceNames​(java.util.List<java.lang.String> sourceNames)` |
    `void` | `setWindowTitle​(java.lang.String windowTitle)` |
    `MinimalJavadocOptions` | `showAll()` |
    `MinimalJavadocOptions` | `showFromPackage()` |
    `MinimalJavadocOptions` | `showFromPrivate()` |
    `MinimalJavadocOptions` | `showFromProtected()` |
    `MinimalJavadocOptions` | `showFromPublic()` |
    `MinimalJavadocOptions` | `source​(java.lang.String source)` |
    `MinimalJavadocOptions` | `sourceNames​(java.lang.String... sourceNames)` |
    `MinimalJavadocOptions` | `verbose()` |
    `StandardJavadocDocletOptions` | `windowTitle​(java.lang.String windowTitle)` |
    `void` | `write​(java.io.File outputFile)` |

- - ### Method Detail

    - #### getOverview

          @Nullable
          @Optional
          @Input
          java.lang.String getOverview()

    - #### setOverview

          void setOverview​(@Nullable
                           java.lang.String overview)

    - #### overview

          MinimalJavadocOptions overview​(java.lang.String overview)

    - #### getMemberLevel

          @Nullable
          @Optional
          @Input
          JavadocMemberLevel getMemberLevel()

    - #### setMemberLevel

          void setMemberLevel​(@Nullable
                              JavadocMemberLevel memberLevel)

    - #### showFromPublic

          MinimalJavadocOptions showFromPublic()

    - #### showFromProtected

          MinimalJavadocOptions showFromProtected()

    - #### showFromPackage

          MinimalJavadocOptions showFromPackage()

    - #### showFromPrivate

          MinimalJavadocOptions showFromPrivate()

    - #### showAll

          MinimalJavadocOptions showAll()

    - #### getDoclet

          @Nullable
          @Optional
          @Input
          java.lang.String getDoclet()

    - #### setDoclet

          void setDoclet​(@Nullable
                         java.lang.String docletClass)

    - #### doclet

          MinimalJavadocOptions doclet​(java.lang.String docletClass)

    - #### getDocletpath

          @Classpath
          java.util.List<java.io.File> getDocletpath()

    - #### setDocletpath

          void setDocletpath​(java.util.List<java.io.File> docletpath)

    - #### docletpath

          MinimalJavadocOptions docletpath​(java.io.File... docletpath)

    - #### getSource

          @Nullable
          @Optional
          @Input
          java.lang.String getSource()

    - #### setSource

          void setSource​(@Nullable
                         java.lang.String source)

    - #### source

          MinimalJavadocOptions source​(java.lang.String source)

    - #### getClasspath

          @Internal
          java.util.List<java.io.File> getClasspath()

    - #### setClasspath

          void setClasspath​(java.util.List<java.io.File> classpath)

    - #### getModulePath

          @Internal
          java.util.List<java.io.File> getModulePath()

      The --module-path.
      Since:
        6.4

    - #### setModulePath

          void setModulePath​(java.util.List<java.io.File> modulePath)

      The --module-path.
      Since:
        6.4

    - #### modulePath

          MinimalJavadocOptions modulePath​(java.util.List<java.io.File> classpath)

      The --module-path.
      Since:
        6.4

    - #### classpath

          MinimalJavadocOptions classpath​(java.util.List<java.io.File> classpath)

    - #### classpath

          MinimalJavadocOptions classpath​(java.io.File... classpath)

    - #### getBootClasspath

          @Classpath
          java.util.List<java.io.File> getBootClasspath()

    - #### setBootClasspath

          void setBootClasspath​(java.util.List<java.io.File> bootClasspath)

    - #### bootClasspath

          MinimalJavadocOptions bootClasspath​(java.io.File... bootClasspath)

    - #### getExtDirs

          @Nullable
          @Optional
          @IgnoreEmptyDirectories
          @PathSensitive(RELATIVE)
          @InputFiles
          java.util.List<java.io.File> getExtDirs()

    - #### setExtDirs

          void setExtDirs​(@Nullable
                          java.util.List<java.io.File> extDirs)

    - #### extDirs

          MinimalJavadocOptions extDirs​(java.io.File... extDirs)

    - #### getOutputLevel

          @Console
          JavadocOutputLevel getOutputLevel()

    - #### setOutputLevel

          void setOutputLevel​(JavadocOutputLevel outputLevel)

    - #### verbose

          MinimalJavadocOptions verbose()

    - #### isVerbose

          @Internal
          boolean isVerbose()

    - #### quiet

          MinimalJavadocOptions quiet()

    - #### isBreakIterator

          @Input
          boolean isBreakIterator()

    - #### setBreakIterator

          void setBreakIterator​(boolean breakIterator)

    - #### breakIterator

          MinimalJavadocOptions breakIterator​(boolean breakIterator)

    - #### breakIterator

          MinimalJavadocOptions breakIterator()

    - #### getLocale

          @Nullable
          @Optional
          @Input
          java.lang.String getLocale()

    - #### setLocale

          void setLocale​(@Nullable
                         java.lang.String locale)

    - #### locale

          MinimalJavadocOptions locale​(java.lang.String locale)

    - #### getEncoding

          @Nullable
          @Optional
          @Input
          java.lang.String getEncoding()

    - #### setEncoding

          void setEncoding​(@Nullable
                           java.lang.String encoding)

    - #### encoding

          MinimalJavadocOptions encoding​(java.lang.String encoding)

    - #### getJFlags

          @Nullable
          @Optional
          @Input
          java.util.List<java.lang.String> getJFlags()

    - #### setJFlags

          void setJFlags​(@Nullable
                         java.util.List<java.lang.String> jFlags)

    - #### jFlags

          MinimalJavadocOptions jFlags​(java.lang.String... jFlags)

    - #### getOptionFiles

          @Nullable
          @Optional
          @PathSensitive(NONE)
          @InputFiles
          java.util.List<java.io.File> getOptionFiles()

    - #### setOptionFiles

          void setOptionFiles​(@Nullable
                              java.util.List<java.io.File> optionFiles)

    - #### optionFiles

          MinimalJavadocOptions optionFiles​(java.io.File... argumentFiles)

    - #### getDestinationDirectory

          @Internal
          java.io.File getDestinationDirectory()

    - #### setDestinationDirectory

          void setDestinationDirectory​(@Nullable
                                       java.io.File directory)

    - #### destinationDirectory

          MinimalJavadocOptions destinationDirectory​(java.io.File directory)

    - #### getWindowTitle

          @Nullable
          @Optional
          @Input
          java.lang.String getWindowTitle()

    - #### setWindowTitle

          void setWindowTitle​(@Nullable
                              java.lang.String windowTitle)

    - #### windowTitle

          StandardJavadocDocletOptions windowTitle​(java.lang.String windowTitle)

    - #### getHeader

          @Nullable
          @Optional
          @Input
          java.lang.String getHeader()

    - #### setHeader

          void setHeader​(@Nullable
                         java.lang.String header)

    - #### header

          StandardJavadocDocletOptions header​(java.lang.String header)

    - #### write

          void write​(java.io.File outputFile)
              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getSourceNames

          @Nullable
          @Internal
          java.util.List<java.lang.String> getSourceNames()

    - #### setSourceNames

          void setSourceNames​(@Nullable
                              java.util.List<java.lang.String> sourceNames)

    - #### sourceNames

          MinimalJavadocOptions sourceNames​(java.lang.String... sourceNames)

    - #### contributeCommandLineOptions

          void contributeCommandLineOptions​(ExecSpec execHandleBuilder)